#
# spec file for package efont-serif-ttf (Version 20010312)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gppshare grep groff gzip kbd less libtool libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim

Name:         efont-serif-ttf
Copyright:    GPL
Group:        X11/Fonts
Autoreqprov:  on
Version:      20010312
Release:      78
URL:          http://openlab.ring.gr.jp/efont/
# downloaded from
# http://openlab.ring.gr.jp/efont/dist/serif/efont-serif-%{version}-win.zip
# and converted to tar.bz2 to save a bit of space
Source0:      http://openlab.ring.gr.jp/efont/dist/serif/efont-serif-%{version}.tar.bz2
Source1:      fonts.scale.efont-serif-ttf
BuildArchitectures: noarch
BuildRoot:    %{_tmppath}/%{name}-root
Summary:      REALLY free and open scalable electronic font
# Summary(ja):  ˥ե꡼ǥץŻҽΤǤ

%description
The efont-serif is REALLY free and open scalable electronic font.
The Omega Serif and URW Nimbus are also distributable. But their
letterforms are quite similar to Adobe Times. The efont-serif copies
neither outlines nor letterforms of any copyrighted typefaces.

Authors:
--------
    Kazuhiko Shiozaki <kazuhiko@ring.gr.jp>

SuSE series: gra

%prep
%setup -n efont-serif-%{version}-win

%build

%install
if [ -n "%{?buildroot}" ] ; then
   [ %{buildroot} != "/" ] && rm -rf %{buildroot};
fi
mkdir -p $RPM_BUILD_ROOT/usr/X11R6/lib/X11/fonts/truetype/
install -c -m 644 *.ttf $RPM_BUILD_ROOT/usr/X11R6/lib/X11/fonts/truetype
install -c -m 644 $RPM_SOURCE_DIR/fonts.scale.efont-serif-ttf \
                  $RPM_BUILD_ROOT/usr/X11R6/lib/X11/fonts/truetype/

%post
echo please run SuSEconfig to update /usr/X11R6/lib/X11/fonts/truetype

%postun 
echo please run SuSEconfig to update /usr/X11R6/lib/X11/fonts/truetype

%clean
rm -rf $RPM_BUILD_ROOT

%files 
%defattr(-, root,root)
%doc GPL*
/usr/X11R6/lib/X11/fonts/truetype/*.ttf
%config /usr/X11R6/lib/X11/fonts/truetype/fonts.scale.efont-serif-ttf

%changelog -n efont-serif-ttf
* Tue Apr 17 2001 - mfabian@suse.de
- update to version 20010312
- remove %%post and %%postun, it is enough when SuSEconfig
  updates the font directory, better don't duplicate the code
  here.
* Fri Mar 02 2001 - mfabian@suse.de
- new package: efont-serif-ttf version 20010226
